Subject: Re: bug#36084: ghc-tasty/ghc-clock circular dependency breaking is broken

From: Robert Vollmert <[email-masked]>
Date: Tue, 16 Jul 2019 18:17:26 +0200

> On 16. Jul 2019, at 17:08, Timothy Sample <[email-masked]> wrote:
> 
> Hi Robert,
> 
> After looking at this and your patch at <https://bugs.gnu.org/36249>,
> I’m wondering if it works as long as we make sure the versions match.
> Can we just inherit the current “ghc-clock”, disable its tests, and call
> it “ghc-clock-bootstrap”?  Is the Cabal consistency checking too clever
> for that?
> 
> If that doesn’t work, can you explain why the method you proposed above
> doesn‘t work?  It seems a little simpler than your patch.  In fact,
> maybe we could live with the main “ghc-tasty” package being built
> without “ghc-clock” (via the flag you mentioned).

I tried the direct approach again, and this time it worked. Posted an
updated patch.

I believe this should be fine, since GHCs builds should be deterministic.

Cheers
Robert